#include <cstdint>
#include <iostream>

using namespace std;
using ll = int64_t;

const ll maxn{ll(5e4+5)};
ll n,c[maxn];

int main(){
    ios::sync_with_stdio(false),cin.tie(nullptr),cout.tie(nullptr);
    cin>>n;
    for(ll i{1};i<=n;i++){
        cin>>c[i];
    }
}